import { jsx } from "react/jsx-runtime";
import { TokenRISE as TokenRISE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRISE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RISE", "data-name": "TokenRISE", ...props, children: /* @__PURE__ */ jsx(TokenRISE$1, { variant }) });
  }
);
TokenRISE.displayName = "TokenRISE";
Object.assign(TokenRISE, { isGdsIcon: true });
export {
  TokenRISE
};
